<template>
  <div>
    <el-dialog
      :title="title"
      :visible.sync="open"
      width="1200px"
      append-to-body
    >
    <el-form ref="form" :model="propform" label-width="80px">
        <el-form-item label="建议标题" prop="title">
          <el-input v-model="propform.title" placeholder="请输入名称标题" />
        </el-form-item>
        <el-form-item label="快捷标签" prop="title">
          <el-input v-model="propform.title" placeholder="请输入名称标题" />
        </el-form-item>
        <el-form-item label="建议内容" prop="advice">
          <el-input
            type="textarea"
            v-model="propform.advice"
            :autosize="{ minRows: 9, maxRows: 10 }"
            placeholder="请输入建议"
          />
        </el-form-item>
      </el-form>
     
      <span slot="footer" class="dialog-footer">
        <el-button @click="open = false">取 消</el-button>
        <el-button type="primary" @click="handleOk">确 定</el-button>
      </span>
    </el-dialog>
  </div>
</template>
  
<script>
import {
  getKjTjAdviceKjbqBySex,
  getCyTjAdviceKjbqBySex,
} from "@/api/hosp/project";
import { getInfo } from "@/api/login";
export default {
  name: "Packagese",
  props: {
    cusobj: Object,
  },
  data() {
    return {
      tjproposal: "0",
      open: false,
      openone: false,
      // 弹出层标题
      title: "",
      total: 0,
      dataList: [],
      // 遮罩层
      loading: false,
      queryParams: {
        sex: "",
        isZj: "",
        userId: "",
        page: 1,
        pageSize: 10,
      },
      list: [],
      fList: {},
    };
  },
  watch: {
    cusobj(val, newVla) {
      // console.log(val,newVla,1111)
      this.fList= val
      this.queryParams.sex = val.sex;
      this.queryParams.isZj = val.isZj;
      if (this.queryParams.sex) {
        this.getList();
      }
    },
  },
  mounted() {
    // this.getList()
  },

  created() {
    // if( this.queryParams){
    //     this.getList()
    // }
  },
  methods: {
    getAllList() {
      this.loading = true;
      this.openone = true;
      getTjHyBgList(this.queryParams).then((res) => {
        this.dataList = res.data.records;
        this.loading = false;
      });
    },
    getList() {
      this.loading = true;
      getKjTjAdviceKjbqBySex(this.queryParams).then((res) => {
        this.dataList = res.data.records;
        this.total = res.data.total;
        this.loading = false;
      });
    },
    handleQuery() {
      this.getAllList();
    },
    handleSelectionChange(selection) {
    //   if (selection.length > 1) {
    //     this.$refs.elTable.clearSelection(); // 清空所有选择
    //     this.$refs.elTable.toggleRowSelection(selection.pop()); // 设置选择项
    //   }
      this.list = selection;
      console.log( this.list)
    },
    radiotjproposalChange() {
      if (this.tjproposal == "0") {
        this.queryParams.isZj = this.fList.isZj;
        this.getList();
      } else {
        this.loading = true;
        getInfo().then((res) => {
          this.queryParams.userId = res.user.userId;
          this.queryParams.isZj = null;
          getCyTjAdviceKjbqBySex(this.queryParams).then((res) => {
            this.dataList = res.data.records;
            this.total = res.data.total;
            this.loading = false;
          });
        });
      }
    },
    handleOk() {
      this.open = false;
      if (this.list.length != 0) {
        this.$emit("event1", this.list);
      }
    },
  },
};
</script>
  
<style scoped>
.pag {
  width: 100%;
  display: flex;
  justify-content: center;
}

.pag1 {
  width: 30%;
}
</style>
  